Subject: Re: bug#38563: 27.0.50; Company popup renders with newlines (?) inheriting the bg properties of the character at next line's bol

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Dec 2019 17:49:17 +0200

reopen 38563
thanks

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Mon, 16 Dec 2019 00:26:21 +0200
> 
> Ok, I've considered it a little and now I understand the primary reason 
> for this mechanic: so that the region face extends over EOL (by 
> default), and that extension doesn't take soak up the properties of the 
> last character on the line (which is how I expected it to work).

Unfortunately, in bug#38633 in turned out my "fix" was not really a
fix, but a stupid typo, which just happened to stop the problem in
this bug from happening, but caused serious breakage elsewhere.

So I'm reopening this bug, and will have to think of a better
solution.